package com.gic.haoban.manage.api.dto.qdto;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.io.Serializable;

/**
 * @author mozhu
 * @date 2022/4/18 16:49
 */
public class QywxErrorLogListQDTO extends BasePageInfo implements Serializable {
    private static final long serialVersionUID = 6652319673885815810L;
    /**
     * 场景
     */
    private String scenario;

    private String wxEnterpriseId;

    private String corpid;
    /**
     * 1:好办后台;2:好办小程序;3:会员小程序
     */
    private Integer qywxErrorType;

    private String startDate;
    private String endDate;
    
    private String memberId ;
    private String externalUserId ;

    public String getMemberId() {
        return memberId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getScenario() {
        return scenario;
    }

    public void setScenario(String scenario) {
        this.scenario = scenario;
    }

    public Integer getQywxErrorType() {
        return qywxErrorType;
    }

    public void setQywxErrorType(Integer qywxErrorType) {
        this.qywxErrorType = qywxErrorType;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }
}
